Межсайтовый скриптинг в Alkacon OpenCMS

Дата публикации:
29.03.2011
Всего просмотров:
631
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Alkacon OpenCms 7.x
Уязвимые версии: Alkacon OpenCMS 7.5.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "resourcelist" и "includerelated" в сценарии opencms/opencms/system/workplace/commons/report-locks.jsp, а также в параметре "acttarget" в сценарии opencms/opencms/system/workplace/views/explorer/contextmenu.jsp (когда параметр "resourcelist" установлен). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.opencms.org/en/

Решение: Установите последнюю версию 7.5.4 с сайта производителя.

Ссылки: http://www.opencms.org/en/news/110328-opencms-v754-releasenotes.html
http://bugzilla.opencms.org/show_bug.cgi?id=1945
http://antisnatchor.com/opencms_7.5.3_multiple_vulnerabilities

или введите имя

CAPTCHA